
Redmine - Defect #6564

Remove IssuePriorityCustomFields?

2010-10-04 09:10 - Felix Schäfer

Status: Closed Start date: 2010-10-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

As far as I can see, the IssuePriorityCustomFields aren't used for anything (yet or anymore, I don't know), would anyone mind at

least taking them out of the UI?

Related issues:

Related to Redmine - Feature #4077: Custom fields and overrides on Enumerations Closed 2009-10-21

History

#1 - 2010-10-04 23:27 - Terence Mill

Sorry, Felix.. i forgot to add a report as promised.

#2 - 2010-10-08 01:54 - Eric Davis

- Status changed from New to Closed

- Resolution set to Wont fix

I want to leave them. Even if there isn't any code in the Redmine core using them, other plugins or themes can use them.

I have one idea that might take advantage of them (e.g. css color custom field, instead of hard coding the css to use an issue priority's position)

#3 - 2010-10-08 09:37 - Felix Schäfer

Noted, though there have been some queries in the last few days about them, maybe a short FAQ entry or something?

#4 - 2010-10-12 05:34 - Mischa The Evil

Felix Schäfer wrote:

Noted, though there have been some queries in the last few days about them, maybe a short FAQ entry or something?

 I've extended RedmineCustomFields and included this info. Please extend that wiki-page if the current documentation about the custom fields isn't

sufficient/complete/correct.

#5 - 2010-10-12 09:28 - Felix Schäfer

Mischa The Evil wrote:

I've extended RedmineCustomFields and included this info. Please extend that wiki-page if the current documentation about the custom fields

isn't sufficient/complete/correct.

 I've removed the mention of the "Required" field, as it doesn't do anything. That's enough for me for the moment, I consider the matter closed, we can

bring this up again as need arises.

#6 - 2010-10-14 04:49 - Mischa The Evil

Felix Schäfer wrote:

Mischa The Evil wrote:

I've extended RedmineCustomFields and included this info. Please extend that wiki-page if the current documentation about the custom

fields isn't sufficient/complete/correct.
 I've removed the mention of the "Required" field, as it doesn't do anything. [...]

 I did the same for GroupCustomFields & DocumentCategoryCustomFields since their status is the same as IssuePriorityCustomFields.

Matter closed... ;)
